Page MenuHomePhabricator

Transition Gruntfile.js tasks to NPM scripts (Popups, MinervaNeue)
Closed, ResolvedPublic3 Estimated Story Points

Description

This task encompasses the work to start transitioning Gruntfile.js tasks to package.json in both MinervaNeue and Popups repos. This task covers all simple transitions such as ESLint and creating tasks for what remains. Delete any relevant dependencies as you go and see MobileFrontend for reference (T206069).

Before working on this, it is recommended to read through T206069, particularly around motivations and the patches that got merged. Apply the change logic to the Popups and Minerva repositories.

Checklist of things to fix for each repo

  • eslint is not using grunt
  • stylelint is not using grunt
  • jsonlint is not using grunt
  • banana-checker is not using grunt
  • grunt, grunt-contrib-watch and grunt-notify is removed from codebase

Event Timeline

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptOct 8 2018, 2:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson added a subscriber: Jdlrobson.

It might make sense to estimate this only after the precursory task has been completed.

Jdlrobson changed the task status from Open to Stalled.Dec 12 2018, 6:30 PM

Stalled on T206069

Aklapper changed the task status from Stalled to Open.Nov 8 2020, 2:09 PM

Stalled on T206069

That task has been resolved in the meantime, hence resetting task status here

bwang set the point value for this task to 2.Apr 6 2021, 5:44 PM
bwang changed the point value for this task from 2 to 3.Apr 7 2021, 7:42 PM

Change 677914 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/extensions/Popups@master] Replace grunt tasks with npm scripts for eslint, stylelint, banana-checker, svgo

https://gerrit.wikimedia.org/r/677914

Change 677608 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/MinervaNeue@master] Add npm scripts for eslint, stylelint, and banana-checker

https://gerrit.wikimedia.org/r/677608

bwang removed bwang as the assignee of this task.Apr 13 2021, 5:28 PM

Change 677608 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/MinervaNeue@master] build: Replace Grunt with npm scripts for eslint, stylelint, and banana-checker

https://gerrit.wikimedia.org/r/677608

Change 677608 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] build: Replace Grunt with npm scripts for eslint, stylelint, and banana-checker

https://gerrit.wikimedia.org/r/677608

Change 681716 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/extensions/Popups@master] build: Replace Grunt tasks with npm scripts for eslint, stylelint, banana-checker & svgo.

https://gerrit.wikimedia.org/r/681716

Change 677914 abandoned by Bernard Wang:

[mediawiki/extensions/Popups@master] build: Replace Grunt tasks with npm scripts for eslint, stylelint, banana-checker & svgo.

Reason:

Replacing this patch with https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Popups/ /681716

https://gerrit.wikimedia.org/r/677914

bwang removed bwang as the assignee of this task.Apr 21 2021, 8:01 PM

Change 681716 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] build: Replace Grunt tasks with npm scripts for eslint, stylelint, banana-checker & svgo.

https://gerrit.wikimedia.org/r/681716

Jdlrobson claimed this task.